﻿@model HomeViewModel
@{
    ViewBag.Title = "خرید بیت کوین و ارزهای دیجیتالی و فروش بیت کوین و ارزهای دیجتالی";
    ViewBag.MetaDescription = "خرید بیت کوین، فروش بیت کوین و خرید و فروش بیت کوین به صورت آنی و اتوماتیک با پشیتبانی 24 ساعته، تبدیل انواع رمز ارزها و ارزهای دیجیتالی، اتریوم، ریپل، لایت کوین و ووچر پرفکت مانی";
    ViewBag.MetaKeywords = "خرید بیت کوین، فروش بیت کوین، خرید و فروش بیت کوین، خرید اتریوم، فروش اتریوم، خرید و فروش اتریوم، خرید ریپل، فروش ریپل، خرید و فروش ریپل، خرید لایت کوین، خرید و فروش لایت کوین، خرید پرفکت مانی، فروش پرفکت مانی، خرید و فروش پرفکت مانی، خرید ووچر، خرید ووچر پرفکت مانی";
}
<!-- Header (v1) -->
<section class="header-1 section-rotate bg-section-secondary" data-offset-top="#header-main">
    <div class="section-inner bg-gradient-secondary"></div>
    <div class="container">
        <div class="row">
            <div class="pt-7 col-lg-12 col-xl-12 d-none d-lg-block text-center">
                <figure class="w-100">
                    <h1 style="font-weight:bold; color:#1b385d;">خرید و فروش <span style="color:#ff5630; font-weight:bolder;">بیت کوین</span> ایمن، سریع و آسان</h1>
                    <h2>واریز اتوماتیک ریال، رمز ارزها، بیت کوین، اتریوم، ریپل و مابقی ارزهای دیجیتالی</h2>
                </figure>
            </div>
            <div class="pt-4 col-lg-12 col-xl-12 d-lg-block text-center">
                @Html.Partial("ExchangeWidget", Model.Currencies)
            </div>
            <div class="col-lg-12 d-none d-lg-block pt-7">
                <p class="text-light text-white-50 text-left">
                    <img class="img-fluid ml-1" src="~/Assets/img/svg/currencies/toman-white-logo.svg" style="max-height:32px;" />
                    قابل پرداخت با تمامی کارت های عضو شبکه شتاب
                </p>
            </div>
        </div>
    </div>
</section>
<section id="sct-page" class="slice slice-lg bg-section-secondary">
    <div class="container">
        <div class="row">
            @{
                var shetabUrl = Model.Currencies.Where(p => p.Type == Xtoman.Domain.Models.ECurrencyType.Shetab).Select(p => p.Url).FirstOrDefault();
            }
            @foreach (var currency in Model.Currencies)
            {
                <div class="col-lg-3 col-md-6">
                    <div class="card text-center hover-translate-y-n3">
                        <div class="px-4 py-3">
                            <img alt="@currency.Type.ToDisplay() Logo" src="~/assets/img/svg/currencies/@currency.Type.ToDisplay(DisplayProperty.ShortName).ToLower()-logo.svg" style="max-height: 70px;">
                        </div>
                        <div class="px-4 pb-3">
                            <h5 style="font-size:100%">@currency.Type.ToDisplay(DisplayProperty.Prompt)</h5>
                            <h6>@currency.Type.ToDisplay()</h6>
                            @if (Model.Balances.Any(x => x.Type == currency.Type))
                            {
                                <p class="text-muted">
                                    <small>موجود</small>
                                    <b>@Model.Balances.Where(p => p.Type == currency.Type).Select(p => p.Amount.ToBlockChainPrice(8)).FirstOrDefault()</b>
                                </p>
                            }
                            else
                            {
                                <p class="text-muted">
                                    <b>موقتا در دسترس نیست</b>
                                </p>
                            }
                            @if (!currency.IsFiat)
                            {
                                <div class="btn-group">
                                    <a class="btn btn-sm btn-outline-white" data-toggle="tooltip" title="@currency.Name چیست؟" href="@Url.RouteUrl("Currency", new { url = currency.Url })"><i class="fas fa-info"></i></a>
                                    <a class="btn btn-sm btn-outline-success" data-toggle="tooltip" title="خرید @currency.Name @currency.UnitSign" href="@Url.RouteUrl("ExchangeBuy", new { toUrl = currency.Url })"><i class="fas fa-arrow-alt-from-bottom"></i></a>
                                    <a class="btn btn-sm btn-outline-danger" data-toggle="tooltip" title="فروش @currency.Name @currency.UnitSign" href="@Url.RouteUrl("ExchangeSell", new { fromUrl = currency.Url })"><i class="fas fa-arrow-alt-from-top"></i></a>
                                </div>
                            }
                            else
                            {
                                <a class="btn btn-sm btn-block btn-outline-white" data-toggle="tooltip" title="@currency.Name چیست؟" href="@Url.RouteUrl("Currency", new { url = currency.Url })"><i class="fas fa-info"></i></a>
                            }
                        </div>
                    </div>
                </div>
            }
        </div>
    </div>
    <div class="fluid-paragraph text-center mt-5">
        <p class="text-small">
            <strong class="text-primary">*بهتر است بدانید!</strong> شما تنها محدود به همین موجودی فعلی نیستید. اکس تومن از کیف پول سرد برای نگهداری موجودی اصلی خود استفاده می کند. اگر موجودی فعلی کافی نیست، احساس راحتی کنید و برای درخواست موجودی بیشتر از ما سوال کنید.
        </p>
    </div>
</section>
<!-- Statistics (v7) -->
<section class="slice slice-lg">
    <div class="container">
        <div class="mb-5 text-center">
            <h3 class=" mt-4">آمار 24 ساعت گذشته</h3>
        </div>
        <div class="row text-center">
            <div class="col-lg-4 col-sm-6">
                <div class="mb-4">
                    <div class="py-5">
                        <div class="icon text-primary">
                            <i class="fas fa-user-plus"></i>
                        </div>
                    </div>
                    <h5 class="">کاربر جدید</h5>
                    <p class="mt-2 mb-0" style="font-size:48px;">@Model.NewUsersCountPast24</p>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="mb-4">
                    <div class="py-5">
                        <div class="icon text-primary">
                            <i class="far fa-layer-group"></i>
                        </div>
                    </div>
                    <h5 class="">سفارش های تکمیل شده</h5>
                    <p class=" mt-2 mb-0" style="font-size:48px;">@Model.OrdersCountPast24</p>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="mb-4">
                    <div class="py-5">
                        <div class="icon text-primary">
                            <i class="fas fa-exchange"></i>
                        </div>
                    </div>
                    <h5 class="">بیشترین تبدیل</h5>
                    @if (Model.TopExchangePast24 != null)
                    {
                        <p class="mt-2 mb-0" style="font-size:24px;">
                            <a href="@Url.RouteUrl("ExchangeSell", new { fromUrl = "بیت-کوین" })">
                                <img class="filter-white" alt="@Model.TopExchangePast24.FromCurrencyType.ToDisplay(DisplayProperty.Prompt) Logo" src="~/assets/img/svg/currencies/@Model.TopExchangePast24.FromCurrencyType.ToDisplay(DisplayProperty.ShortName).ToLower()-logo.svg" style="max-height: 50px;">
                                <i class="fa fa-angle-right"></i>
                                <img class="filter-white" alt="@Model.TopExchangePast24.ToCurrencyType.ToDisplay(DisplayProperty.Prompt) Logo" src="~/assets/img/svg/currencies/@Model.TopExchangePast24.ToCurrencyType.ToDisplay(DisplayProperty.ShortName).ToLower()-logo.svg" style="max-height: 50px;">
                            </a>
                        </p>
                        <p><a href="@Url.RouteUrl("ExchangeSell", new { fromUrl = "بیت-کوین" })">@Model.TopExchangePast24.FromCurrencyType.ToDisplay() to @Model.TopExchangePast24.ToCurrencyType.ToDisplay()</a></p> }
                    else
                    {
                        var bitcoin = Model.Currencies.Where(p => p.Type == Xtoman.Domain.Models.ECurrencyType.Bitcoin).FirstOrDefault();
                        var pmusd = Model.Currencies.Where(p => p.Type == Xtoman.Domain.Models.ECurrencyType.Shetab).FirstOrDefault();
                        <p class="mt-2 mb-0" style="font-size:24px;">
                            <a href="@Url.RouteUrl("ExchangeSell", new { fromUrl = "بیت-کوین" })">
                                <img class="filter-white" alt="@bitcoin.Type.ToDisplay(DisplayProperty.Prompt) Logo" src="~/assets/img/svg/currencies/@bitcoin.Type.ToDisplay(DisplayProperty.ShortName).ToLower()-logo.svg" style="max-height: 50px;">
                                <i class="fa fa-angle-left"></i>
                                <img class="filter-white" alt="@pmusd.Type.ToDisplay(DisplayProperty.Prompt) Logo" src="~/assets/img/svg/currencies/@pmusd.Type.ToDisplay(DisplayProperty.ShortName).ToLower()-logo.svg" style="max-height: 50px;">
                            </a>
                        </p>
                        <p><a href="@Url.RouteUrl("ExchangeSell", new { fromUrl = "بیت-کوین" })">فروش بیت کوین</a></p>
                    }
                </div>
            </div>
        </div>
    </div>
</section>
@if (Model.Reviews != null && Model.Reviews.Count > 0)
{
    <!-- Testimonials (v1) -->
    <section class="slice slice-lg bg-section-primary">
        <div class="container">
            <div class="mb-5 text-center">
                <h3 class=" mt-4">مشتریان ما چه گفته اند؟</h3>
                <div class="fluid-paragraph mt-3">
                    <p class="lead lh-180">مبادله سریع، آسان و ایمن را با اکس تومن تجربه کنید.</p>
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-lg-11">
                    <div class="swiper-js-container overflow-hidden">
                        <div class="swiper-container" data-swiper-items="1" data-swiper-space-between="0" data-swiper-sm-items="2" data-swiper-xl-items="3">
                            <div class="swiper-wrapper">
                                @foreach (var review in Model.Reviews)
                                {
                                    <div class="swiper-slide p-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <div class="d-flex align-items-center">
                                                    <div class="pl-3">
                                                        <h5 class="h6 mb-0">@review.OrderUserUserName.HideSomeChars(25)</h5>
                                                        @if ((review.OrderUserFirstName + " " + review.OrderUserLastName).HasValue())
                                                        {
                                                            <small class="d-block text-muted">@((review.OrderUserFirstName + " " + review.OrderUserLastName).Trim())</small>
                                                        }
                                                    </div>
                                                </div>
                                                <p class="mt-4 lh-180">@review.Text.Trim()</p>
                                                <div class="rateResult" data-rate-value="@review.VoteRate"></div>
                                                @*<span class="static-rating static-rating-sm">
                                                        <i class="star fas fa-star voted"></i>
                                                        <i class="star fas fa-star voted"></i>
                                                        <i class="star fas fa-star voted"></i>
                                                        <i class="star fas fa-star voted"></i>
                                                        <i class="star fas fa-star voted"></i>
                                                    </span>*@
                                            </div>
                                        </div>
                                    </div>
                                }
                            </div>
                        </div>
                        <!-- Add Pagination -->
                        <div class="swiper-pagination w-100 mt-4 d-flex align-items-center justify-content-center"></div>
                    </div>
                </div>
            </div>
        </div>
    </section>
}

    <!-- Blog (v4) -->
    <section class="slice slice-lg bg-section-secondary">
        <div class="container">
            <div class="mb-5 text-center">
                <h3 class=" mt-4">آخرین مطالب وبلاگ</h3>
                <div class="fluid-paragraph mt-3">
                    <p class="lead lh-180">مهم ترین عناوین و مطالب به روز در ارتباط با دنیای رمز ارزها و ارزهای دیجیتالی</p>
                </div>
            </div>
            <div class="row">
                @foreach (var item in Model.LatestPosts)
                {
                    <div class="col-lg-4">
                        <div class="card hover-shadow-lg hover-translate-y-n10">
                            @if (item.Media != null)
                            {
                                <a href="#">
                                    <img alt="@(item.Media.Alt.HasValue() ? item.Media.Alt : item.Title)" src="@item.Media.Thumbnails.ImgSrc("post.large")" class="card-img-top">
                                </a>
                            }
                            <div class="card-body py-5 text-center">
                                <a href="#" class="d-block h5 lh-150">@item.Title</a>
                                @if (item.Summary.HasValue())
                                {
                                    <p>@item.Summary</p>
                                }
                                @if (item.PublishDate.HasValue)
                                {
                                    <h6 class="text-muted mt-4 mb-0">@item.PublishDate.Value.ToFaDateTimeZone()</h6>
                                }
                            </div>
                            <div class="card-footer delimiter-top">
                                <div class="row">
                                    <div class="col text-center">
                                        <ul class="list-inline mb-0">
                                            <li class="list-inline-item pl-4">
                                                <a href="#" class="text-muted" data-toggle="tooltip" title="اشتراک گذاشته شده"><i class="far fa-share ml-1 text-muted"></i> 131</a>
                                            </li>
                                            <li class="list-inline-item pl-4">
                                                <a href="#" class="text-muted" data-toggle="tooltip" title="تعداد بازدید"><i class="far fa-eye ml-1 text-muted"></i> 255</a>
                                            </li>
                                            <li class="list-inline-item">
                                                <a href="#" class="text-muted" data-toggle="tooltip" title="نظرها"><i class="far fa-comments ml-1 text-muted"></i> 14</a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                }
            </div>
        </div>
    </section>